API references
Search documentation... ⌘K
API references
Merchant API

List email subscribers

Retrieve all email subscription objects for this merchant. Each object contains the email address, language, and all subscribed notification topics for that email.

This endpoint requires authentication and will return an array of email subscription objects, where each object represents one email address with all its notification topic subscriptions.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-email-subscribers HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: array
New to Reservepay? Read our guide on how to call endpoints to get started.
Response attributes
Attribute Description
email
string

The email address subscribed to notifications.

language
string

The language for notifications sent to this email address.

notification_topics
array

The notification topic this email is subscribed to.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.